
This package implements a CAPI Agent as per the WiFi Alliance's Control API
Specification ver-10.12.0 document.

The CAPI Agent opens a passive TCP socket on a selected port and waits for UCC
to connect to it and issue CAPI commands.

## Usage

```
Usage: __capiagent__
options:
   -h               usage
   -p <portnum>     TCP listen port for CAPI agent
```


## Examples
Start CAPI agent on DUT:

```
root@iopsys:~# capiagent -p 9009 &
```


From any network connected PC, netcat utility may be used to issue and verify a
CAPI command request-response sequence

```
~$ nc 192.168.1.1 9009
start_wps_registration,interface,wl0,WpsRole,registrar,WpsConfigMethod,pbc
status,RUNNINGstatus,COMPLETE


~$ nc 192.168.1.1 9009
dev_send_1905,DestALid,ee:6c:9a:52:ac:30,MessageTypeValue,0x8006,tlv_type,0x8B,tlv_length,0x004C,tlv_value,{0x00904C2A11C2 0x14 {0x51 {0x00 0x00}} {0x52 {0x00 0x00}} {0x53 {0x00 0x00}} {0x54 {0x00 0x00}} {0x73 0x03 {0x28 0x2C 0x30} 0x00} {0x74 0x01 {0x2C} 0x00} {0x75 {0x00 0x00}} {0x76 {0x00 0x00}} {0x77 {0x00 0x00}} {0x78 {0x00 0x00}} {0x79 {0x00 0x00}} {0x7A {0x00 0x00}} {0x7B {0x00 0x00}} {0x7C {0x00 0x00}} {0x7D {0x00 0x00}} {0x7E {0x00 0x00}} {0x7F {0x00 0x00}} {0x80 0x05 {0x3A 0x6A 0x7A 0x8A 0x9B} 0x00} {0x81 {0x00 0x00}} {0x82 {0x00 0x00}}},tlv_type,0x8D,tlv_length,0x0007,tlv_value,{0x00904C2A11C2 0x14}
status,RUNNINGstatus,COMPLETE,MID,40043

```

