#!/bin/ash

capi_start () {
	exec 3>&1
	exec 4>&2

	CAPI_LOGFILE=${CAPI_LOGFILE:-"/tmp/capi.log"}

	exec 2>>${CAPI_LOGFILE}
	exec 1>>${CAPI_LOGFILE}
 
        if [ -n "${CAPI_DEBUG}" ] ; then
		set -x
        else
		echo "RUN $0 $@"
        fi

}

capi_end () {
        if [ -z "${CAPI_DEBUG}" ] ; then
		echo "DONE."
	fi
	exit $1
}

capi_output () {
	echo $@ 1>&3
}

capi_mac2hex() {
	echo ${1} | grep -q "^0x[[:xdigit:]]\{12\}$"
	if [ $? -eq 0 ] ; then
		echo ${1}
		return
	fi

	echo "0x${1}" | tr -d ':'
}

capi_hex2mac() {
	echo ${1} | grep -q "^\([[:xdigit:]][[:xdigit:]]\:\)\{5\}[[:xdigit:]][[:xdigit:]]$"
	if [ $? -eq 0 ] ; then
		echo ${1}
		return
	fi

	local x=$(echo $1 | sed 's/^0x//')

# Need to be started at the begining
# of the line to avoid adding spaces
	echo $(echo $x | cut -b 1-2)":"\
$(echo $x | cut -b 3-4)":"\
$(echo $x | cut -b 5-6)":"\
$(echo $x | cut -b 7-8)":"\
$(echo $x | cut -b 9-10)":"\
$(echo $x | cut -b 11-12)
}
